class ThumbnailService

  def initialize(strategies = [])
    @strategies = strategies
  end

  def create_thumbnail(media)
    @strategies.each do |s|
      return s.generate(media) if s.can_generate? media
    end
  end

  def update_object(media, object_id)
    lo = LearningObject.find(object_id)
    lo.thumbnail = media
    lo.save!
  end
end