# mapping permitted actions with controller action to display right views
permitted_actions = []
permitted_actions['send_feedback'] = 'new'
permitted_actions['report_bug'] = 'new_bug'

# bind click events for create feedbacks and report bug
$(document).on 'click', '.report_bug', ->
  $(document).trigger('open_feedback_modal', [type: 'report_bug'])

$(document).on 'click', '.send_feedback', ->
  $(document).trigger('open_feedback_modal', [type: 'send_feedback'])

# open modal event
$(document).on 'open_feedback_modal', (evt, params) ->
  type = permitted_actions[params.type]
  url = "/feedback/#{type}"
  $.get url, (d) ->
    $('#feedback-modal').remove()
    $('body').append d
    $('#feedback-modal').modal('show')
    return