class InstitutionsImporter


  def initialize items
    @items = items
    @@institutions = {}
  end


  def import


    @items.each do |learning_object|
      institution_name = learning_object.get_metadata_values_of("dc.creator").first
      next if institution_exist? institution_name ||  institution_name.nil?
      @@institutions[institution_name] = Institution.where(name: institution_name).new
    end

    Institution.import @@institutions.values

  end

  private

  def institution_exist? institution_name
    Institution.exists? name: institution_name  || !@@institutions[institution_name].nil?
  end

end
